Index: NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/DOME/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/DOME/EXPREF/1_namelist_cfg	(revision 14197)
+++ NEMO/branches/2020/dev_r14116_HPC-04_mcastril_Mixed_Precision_implementation_final/tests/DOME/EXPREF/1_namelist_cfg	(revision 14644)
@@ -18,4 +18,15 @@
 /
 !-----------------------------------------------------------------------
+&namusr_def    !   User defined :   OVERFLOW configuration
+!-----------------------------------------------------------------------
+   !                       !  type of vertical coordinate
+   ln_zco      = .false.      ! z-coordinate
+   ln_zps      = .true.       ! z-partial-step coordinate
+   ln_sco      = .false.      ! s-coordinate
+   rn_dx       =   5000.   !  horizontal resolution   [meters]
+   rn_dz       =     60.   !  vertical   resolution   [meters]
+   rn_f0       =  1.e-4    !  coriolis [s-1]
+/
+!-----------------------------------------------------------------------
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
@@ -36,5 +47,5 @@
 !-----------------------------------------------------------------------
    ln_linssh  = .true.
-   rn_Dt      =   240.    !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_Dt      =   150.    !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp    =    0.1    !  asselin time filter parameter
    ln_meshmask = .false.  !  =T create a mesh file
@@ -164,9 +175,8 @@
 &namdyn_vor    !   option of physics/algorithm
 !-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .false. !  energy conserving scheme
-   ln_dynvor_mix = .false. !  mixed scheme
    ln_dynvor_een = .true.  !  energy & enstrophy scheme
-      nn_een_e3f = 1             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
+   !
+   nn_e3f_typ = 1          !  type of e3f (EEN, ENE, ENS, MIX only)  =0  e3f = mi(mj(e3t))/4
+   !
 /
 !-----------------------------------------------------------------------
@@ -174,5 +184,5 @@
 !-----------------------------------------------------------------------
    ln_hpg_zps  = .false.  !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco  = .true.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_djc  = .true.   !  s-coordinate (standard jacobian formulation)
 /
 !-----------------------------------------------------------------------
@@ -200,10 +210,10 @@
 &namzdf        !   vertical physics                                     (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_zad_Aimp = .true.       !  Courant number dependent scheme (Shchepetkin 2015)
+   ln_zad_Aimp = .false.       !  Courant number dependent scheme (Shchepetkin 2015)
    !                       ! type of vertical closure (required)
-   ln_zdfcst   = .true.       !  constant mixing
+   ln_zdfcst   = .false.      !  constant mixing
    ln_zdfric   = .false.      !  local Richardson dependent formulation (T =>   fill namzdf_ric)
    ln_zdftke   = .false.      !  Turbulent Kinetic Energy closure       (T =>   fill namzdf_tke)
-   ln_zdfgls   = .false.      !  Generic Length Scale closure           (T =>   fill namzdf_gls)
+   ln_zdfgls   = .true.       !  Generic Length Scale closure           (T =>   fill namzdf_gls)
    ln_zdfosm   = .false.      !  OSMOSIS BL closure                     (T =>   fill namzdf_osm)
    !   
@@ -225,6 +235,6 @@
    !   
    !                       ! coefficients
-   rn_avm0     =   5.e-2     !  vertical eddy viscosity   [m2/s]       (background Kz if ln_zdfcst=F)
-   rn_avt0     =   0.0       !  vertical eddy diffusivity [m2/s]       (background Kz if ln_zdfcst=F)
+   rn_avm0     =   1.e-5     !  vertical eddy viscosity   [m2/s]       (background Kz if ln_zdfcst=F)
+   rn_avt0     =   1.e-6     !  vertical eddy diffusivity [m2/s]       (background Kz if ln_zdfcst=F)
    nn_avb      =    0        !  profile for background avt & avm (=1) or not (=0)
    nn_havtb    =    0        !  horizontal shape for avtb (=1) or not (=0)
